ADB(4)

NAME
adb - Apple Desktop Bus driver

SYNOPSIS
adb0 at obio?
akbd* at adb?
ams* at adb?

DESCRIPTION
The Apple Desktop Bus (ADB) is the single-master, multiple-slave, low-speed serial bus interface used by Macintosh computers to connect input devices such as keyboards, mice, trackballs, and graphics tablets to the machine.

OpenBSD provides support for the following devices:

akbd(4)
    Apple Keyboard Device
ams(4)
    Apple Mouse Support

SEE ALSO
intro(4)

HISTORY
The adb interface first appeared in NetBSD 0.9.

AUTHORS
Bradley A. Grantham wrote the original adb driver, including the MRG support. The hardware direct interface was written by John P. Wittkowski. The PowerManager interface was written by Takashi Hamada.

BUGS
•   Not every class of ADB hardware is supported yet.
•   The talk command is currently unimplemented.
•   The listen command is not implemented yet.